Package org.eclipse.mat.query.annotations

# Annotation Type Menu.Entry

Enclosing class:
  Menu

public static @interface Menu.Entry
Annotates a `Menu` item for a particular sub-query.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`category`
The category for the menu item, optionally preceded by a number indicating the menu order with a vertical bar separator.
`String`
`help`
The help for the menu item.
`String`
`helpUrl`
The help URL for the menu item.
`String`
`icon`
The icon path for the menu item.
`String`
`label`
The label for the menu item, optionally preceded by a number indicating the menu order with a vertical bar separator.
`String`
`options`
The specific options for the query for this menu item.

## Element Details

### category

String category
The category for the menu item, optionally preceded by a number indicating the menu order with a vertical bar separator. Overrides the `Category` for the query class.

Returns:
  the menu category

Default:
  ""

### icon

String icon
The icon path for the menu item. Overrides the `Icon` for the query class.

Returns:
  the icon path

Default:
  ""

### label

String label
The label for the menu item, optionally preceded by a number indicating the menu order with a vertical bar separator. The equivalent of the `Name` for an ordinary query.

Returns:
  the label

Default:
  ""

### help

String help
The help for the menu item. Overrides the help for the query class.

Returns:
  the help

Default:
  ""

### helpUrl

String helpUrl
The help URL for the menu item. Overrides the help URL for the query class.

Returns:
  the help URL

Default:
  ""

### options

String options
The specific options for the query for this menu item. Overrides default argument options for the query class.

Returns:
  the specific options

Default:
  ""